------------------------------------------------------------------------------------
--Name:  	210426[简体征服][任务脚本]210423[简体征服][任务脚本]Soaring Archers剧情任务
--Creator:	杨艳
--Created:	2021-04-26
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8


-- 设置摄像机指向位置(网格坐标)
-- CppScriptMgr:SetViewPosByCell(36, 31)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)

-- CppScriptMgr:WaitMilSec(1500);
CppScriptMgr:SetViewScale(180)
CppScriptMgr:SetViewPosByCell(85, 69)

-- CppScriptMgr:SetViewScale(150)

local playerMonster1 = CppScriptMgr:AddPlayer(150,80 ,78, "NightCoyote")
local playerMonster2 = CppScriptMgr:AddPlayer(150,95 ,78, "NightCoyote")
local playerMonster3 = CppScriptMgr:AddPlayer(150,95 ,65, "NightCoyote")
local playerMonster4 = CppScriptMgr:AddPlayer(150,80 ,65, "NightCoyote")

playerMonster1:SetZoomPercent(100)
playerMonster2:SetZoomPercent(100)
playerMonster3:SetZoomPercent(100)
playerMonster4:SetZoomPercent(100)

playerMonster1:SetDir(6)
playerMonster2:SetDir(3)
playerMonster3:SetDir(1)
playerMonster4:SetDir(7)

playerMonster1:SetAction(401)
playerMonster2:SetAction(401)
playerMonster3:SetAction(401)
playerMonster4:SetAction(401)

CppScriptMgr:AddEffect("195040",83 ,76)
CppScriptMgr:AddEffect("195040",92 ,76)
CppScriptMgr:AddEffect("195040",92 ,68)
CppScriptMgr:AddEffect("195040",83 ,68)

playerMonster1:Say("We will protect Mo Token!", 2000)
playerMonster2:Say("We will protect Mo Token!", 2000)
playerMonster3:Say("We will protect Mo Token!", 2000)
playerMonster4:Say("We will protect Mo Token!", 2000)

CppScriptMgr:WaitMilSec(500)

CppScriptMgr:AddEffect("610239", 88, 72)
CppScriptMgr:AddEffect("NineDragon", 88, 72)
CppScriptMgr:AddEffect("tj-long", 88, 72)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(1500)


